# swagger-client
API for DiscoverSnoop Service

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.9.240913
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.AlertsApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | ID of the alert to edit ; if adding a new one leave blank
alertname = 'alertname_example' # str | Name of the alert
activated = true # bool | Should the alert be activated or not
type = 56 # int | Alert type (1= New content for website, 2=New perfirming contents)
channel = 56 # int | 1 for email, 2 for Slack, 3 for Google Chat
recipient = 'recipient_example' # str | Email address of recipient or webhook for Slack/Gchat
param1 = 'param1_example' # str | Parameter 1 (meaning changes with alert type) (optional)
param2 = 'param2_example' # str | Parameter 2 (meaning changes with alert type) (optional)
param3 = 'param3_example' # str | Parameter 3 (meaning changes with alert type) (optional)
param4 = 'param4_example' # str | Parameter 4 (meaning changes with alert type) (optional)
param5 = 'param5_example' # str | Parameter 5 (meaning changes with alert type) (optional)

try:
    # Edit or insert new alert
    api_response = api_instance.alerts_change_get(id, alertname, activated, type, channel, recipient, param1=param1, param2=param2, param3=param3, param4=param4, param5=param5)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AlertsApi->alerts_change_get: %s\n" % e)


# create an instance of the API class
api_instance = swagger_client.AlertsApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | alert id to delete

try:
    # Permanently delete the alert
    api_response = api_instance.alerts_delete_get(id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AlertsApi->alerts_delete_get: %s\n" % e)


# create an instance of the API class
api_instance = swagger_client.AlertsApi(swagger_client.ApiClient(configuration))

try:
    # Get alerts for user account
    api_response = api_instance.alerts_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AlertsApi->alerts_get: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api.discoversnoop.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AlertsApi* | [**alerts_change_get**](docs/AlertsApi.md#alerts_change_get) | **GET** /alerts_change | Edit or insert new alert
*AlertsApi* | [**alerts_delete_get**](docs/AlertsApi.md#alerts_delete_get) | **GET** /alerts_delete | Permanently delete the alert
*AlertsApi* | [**alerts_get**](docs/AlertsApi.md#alerts_get) | **GET** /alerts | Get alerts for user account
*FavsApi* | [**favs_add_get**](docs/FavsApi.md#favs_add_get) | **GET** /favs_add | Create a new fav
*FavsApi* | [**favs_delete_get**](docs/FavsApi.md#favs_delete_get) | **GET** /favs_delete | Permanently delete the fav
*FavsApi* | [**favs_get**](docs/FavsApi.md#favs_get) | **GET** /favs | Get favorites
*FavsApi* | [**favs_update_get**](docs/FavsApi.md#favs_update_get) | **GET** /favs_update | Update the fav
*HistoricalApi* | [**categories_get**](docs/HistoricalApi.md#categories_get) | **GET** /categories | Get historical stats for categories
*HistoricalApi* | [**category_get**](docs/HistoricalApi.md#category_get) | **GET** /category | Get history for category ID
*HistoricalApi* | [**domain_get**](docs/HistoricalApi.md#domain_get) | **GET** /domain | Get history for domain name
*HistoricalApi* | [**domains_get**](docs/HistoricalApi.md#domains_get) | **GET** /domains | Get historical stats for domains
*HistoricalApi* | [**page_get**](docs/HistoricalApi.md#page_get) | **GET** /page | Get page history for URL
*HistoricalApi* | [**pages_get**](docs/HistoricalApi.md#pages_get) | **GET** /pages | Get historical stats for pages
*KbApi* | [**kb_articles_get**](docs/KbApi.md#kb_articles_get) | **GET** /kb_articles | Get knowledge base articles
*LiveApi* | [**livecategories_get**](docs/LiveApi.md#livecategories_get) | **GET** /livecategories | Get livedata stats for categories
*LiveApi* | [**livedomains_get**](docs/LiveApi.md#livedomains_get) | **GET** /livedomains | Get livedata stats for domains
*LiveApi* | [**livepages_get**](docs/LiveApi.md#livepages_get) | **GET** /livepages | Get livedata stats for pages
*UserApi* | [**user_countries_change_get**](docs/UserApi.md#user_countries_change_get) | **GET** /user_countries_change | Change user&#x27;s activated countries
*UserApi* | [**user_custid_change_get**](docs/UserApi.md#user_custid_change_get) | **GET** /user_custid_change | Change user customer id. This function is system reserved
*UserApi* | [**user_delete_get**](docs/UserApi.md#user_delete_get) | **GET** /user_delete | Permanently delete the user
*UserApi* | [**user_details_change_get**](docs/UserApi.md#user_details_change_get) | **GET** /user_details_change | Change user details
*UserApi* | [**user_login_get**](docs/UserApi.md#user_login_get) | **GET** /user_login | Login user with his credentials
*UserApi* | [**user_messages_get**](docs/UserApi.md#user_messages_get) | **GET** /user_messages | Get messages for user
*UserApi* | [**user_password_change_get**](docs/UserApi.md#user_password_change_get) | **GET** /user_password_change | Change user password
*UserApi* | [**user_password_reset_get**](docs/UserApi.md#user_password_reset_get) | **GET** /user_password_reset | Reset user password
*UserApi* | [**user_refresh_subscription_get**](docs/UserApi.md#user_refresh_subscription_get) | **GET** /user_refresh_subscription | Refresh user rights with his Customer ID. This function is system reserved
*UserApi* | [**user_register_get**](docs/UserApi.md#user_register_get) | **GET** /user_register | Login user with his credentials

## Documentation For Models

 - [AlertCollection](docs/AlertCollection.md)
 - [Alerts](docs/Alerts.md)
 - [Categories](docs/Categories.md)
 - [CategoriesCollection](docs/CategoriesCollection.md)
 - [Category](docs/Category.md)
 - [DistributionCollection](docs/DistributionCollection.md)
 - [Domain](docs/Domain.md)
 - [Domains](docs/Domains.md)
 - [DomainsCollection](docs/DomainsCollection.md)
 - [Favs](docs/Favs.md)
 - [FavsCollection](docs/FavsCollection.md)
 - [HistoryCollection](docs/HistoryCollection.md)
 - [KB](docs/KB.md)
 - [KBCollection](docs/KBCollection.md)
 - [Message](docs/Message.md)
 - [MessageCollection](docs/MessageCollection.md)
 - [MetricsCollection](docs/MetricsCollection.md)
 - [Page](docs/Page.md)
 - [Pages](docs/Pages.md)
 - [PagesCollection](docs/PagesCollection.md)
 - [TransactionInfo](docs/TransactionInfo.md)
 - [UserCollection](docs/UserCollection.md)
 - [UserInfo](docs/UserInfo.md)

## Documentation For Authorization


## bearerAuth



## Author


