# swagger_client.AlertsApi

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**alerts_change_get**](AlertsApi.md#alerts_change_get) | **GET** /alerts_change | Edit or insert new alert
[**alerts_delete_get**](AlertsApi.md#alerts_delete_get) | **GET** /alerts_delete | Permanently delete the alert
[**alerts_get**](AlertsApi.md#alerts_get) | **GET** /alerts | Get alerts for user account

# **alerts_change_get**
> list[Domains] alerts_change_get(id, alertname, activated, type, channel, recipient, param1=param1, param2=param2, param3=param3, param4=param4, param5=param5)

Edit or insert new alert

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.AlertsApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | ID of the alert to edit ; if adding a new one leave blank
alertname = 'alertname_example' # str | Name of the alert
activated = true # bool | Should the alert be activated or not
type = 56 # int | Alert type (1= New content for website, 2=New perfirming contents)
channel = 56 # int | 1 for email, 2 for Slack, 3 for Google Chat
recipient = 'recipient_example' # str | Email address of recipient or webhook for Slack/Gchat
param1 = 'param1_example' # str | Parameter 1 (meaning changes with alert type) (optional)
param2 = 'param2_example' # str | Parameter 2 (meaning changes with alert type) (optional)
param3 = 'param3_example' # str | Parameter 3 (meaning changes with alert type) (optional)
param4 = 'param4_example' # str | Parameter 4 (meaning changes with alert type) (optional)
param5 = 'param5_example' # str | Parameter 5 (meaning changes with alert type) (optional)

try:
    # Edit or insert new alert
    api_response = api_instance.alerts_change_get(id, alertname, activated, type, channel, recipient, param1=param1, param2=param2, param3=param3, param4=param4, param5=param5)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AlertsApi->alerts_change_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **str**| ID of the alert to edit ; if adding a new one leave blank | 
 **alertname** | **str**| Name of the alert | 
 **activated** | **bool**| Should the alert be activated or not | 
 **type** | **int**| Alert type (1&#x3D; New content for website, 2&#x3D;New perfirming contents) | 
 **channel** | **int**| 1 for email, 2 for Slack, 3 for Google Chat | 
 **recipient** | **str**| Email address of recipient or webhook for Slack/Gchat | 
 **param1** | **str**| Parameter 1 (meaning changes with alert type) | [optional] 
 **param2** | **str**| Parameter 2 (meaning changes with alert type) | [optional] 
 **param3** | **str**| Parameter 3 (meaning changes with alert type) | [optional] 
 **param4** | **str**| Parameter 4 (meaning changes with alert type) | [optional] 
 **param5** | **str**| Parameter 5 (meaning changes with alert type) | [optional] 

### Return type

[**list[Domains]**](Domains.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **alerts_delete_get**
> list[TransactionInfo] alerts_delete_get(id)

Permanently delete the alert

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.AlertsApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | alert id to delete

try:
    # Permanently delete the alert
    api_response = api_instance.alerts_delete_get(id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AlertsApi->alerts_delete_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **str**| alert id to delete | 

### Return type

[**list[TransactionInfo]**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **alerts_get**
> list[Alerts] alerts_get()

Get alerts for user account

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.AlertsApi(swagger_client.ApiClient(configuration))

try:
    # Get alerts for user account
    api_response = api_instance.alerts_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AlertsApi->alerts_get: %s\n" % e)
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**list[Alerts]**](Alerts.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

