# swagger_client.FavsApi

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**favs_add_get**](FavsApi.md#favs_add_get) | **GET** /favs_add | Create a new fav
[**favs_delete_get**](FavsApi.md#favs_delete_get) | **GET** /favs_delete | Permanently delete the fav
[**favs_get**](FavsApi.md#favs_get) | **GET** /favs | Get favorites
[**favs_update_get**](FavsApi.md#favs_update_get) | **GET** /favs_update | Update the fav

# **favs_add_get**
> list[TransactionInfo] favs_add_get(name=name, action=action, parameters=parameters)

Create a new fav

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.FavsApi(swagger_client.ApiClient(configuration))
name = 'name_example' # str | Name of the fav. (optional)
action = 'action_example' # str | Action to be opened. (optional)
parameters = 'parameters_example' # str | Action's parameters encoded in JSON. (optional)

try:
    # Create a new fav
    api_response = api_instance.favs_add_get(name=name, action=action, parameters=parameters)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling FavsApi->favs_add_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **str**| Name of the fav. | [optional] 
 **action** | **str**| Action to be opened. | [optional] 
 **parameters** | **str**| Action&#x27;s parameters encoded in JSON. | [optional] 

### Return type

[**list[TransactionInfo]**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **favs_delete_get**
> list[TransactionInfo] favs_delete_get(id=id)

Permanently delete the fav

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.FavsApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | ID of the fav to delete. (optional)

try:
    # Permanently delete the fav
    api_response = api_instance.favs_delete_get(id=id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling FavsApi->favs_delete_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **str**| ID of the fav to delete. | [optional] 

### Return type

[**list[TransactionInfo]**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **favs_get**
> list[Favs] favs_get(id=id)

Get favorites

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.FavsApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | ID of the requested fav. ignore or set to 0 to get the full favs list (optional)

try:
    # Get favorites
    api_response = api_instance.favs_get(id=id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling FavsApi->favs_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **str**| ID of the requested fav. ignore or set to 0 to get the full favs list | [optional] 

### Return type

[**list[Favs]**](Favs.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **favs_update_get**
> list[TransactionInfo] favs_update_get(id, name=name, action=action, parameters=parameters, scheduled=scheduled, scheduledto=scheduledto)

Update the fav

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.FavsApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | ID of the fav that should be edited
name = 'name_example' # str | Name of the fav. (optional)
action = 'action_example' # str | Action to be opened. (optional)
parameters = 'parameters_example' # str | Action's parameters encoded in JSON. (optional)
scheduled = 56 # int | 0 if not scheduled, else x in hours (optional)
scheduledto = 'scheduledto_example' # str | email address of the recipient of this report (optional)

try:
    # Update the fav
    api_response = api_instance.favs_update_get(id, name=name, action=action, parameters=parameters, scheduled=scheduled, scheduledto=scheduledto)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling FavsApi->favs_update_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **str**| ID of the fav that should be edited | 
 **name** | **str**| Name of the fav. | [optional] 
 **action** | **str**| Action to be opened. | [optional] 
 **parameters** | **str**| Action&#x27;s parameters encoded in JSON. | [optional] 
 **scheduled** | **int**| 0 if not scheduled, else x in hours | [optional] 
 **scheduledto** | **str**| email address of the recipient of this report | [optional] 

### Return type

[**list[TransactionInfo]**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

