# swagger_client.KbApi

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**kb_articles_get**](KbApi.md#kb_articles_get) | **GET** /kb_articles | Get knowledge base articles

# **kb_articles_get**
> list[KB] kb_articles_get(article=article)

Get knowledge base articles

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.KbApi(swagger_client.ApiClient(configuration))
article = 56 # int | ID of the requested article. 0 to get the full article list (optional)

try:
    # Get knowledge base articles
    api_response = api_instance.kb_articles_get(article=article)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling KbApi->kb_articles_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **article** | **int**| ID of the requested article. 0 to get the full article list | [optional] 

### Return type

[**list[KB]**](KB.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

