# swagger_client.LiveApi

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**livecategories_get**](LiveApi.md#livecategories_get) | **GET** /livecategories | Get livedata stats for categories
[**livedomains_get**](LiveApi.md#livedomains_get) | **GET** /livedomains | Get livedata stats for domains
[**livepages_get**](LiveApi.md#livepages_get) | **GET** /livepages | Get livedata stats for pages

# **livecategories_get**
> list[Categories] livecategories_get(country, subcountry=subcountry, hours=hours, keyword_filter=keyword_filter, language_filter=language_filter, lines=lines, offset=offset)

Get livedata stats for categories

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.LiveApi(swagger_client.ApiClient(configuration))
country = 'country_example' # str | ISO_3166 country code in 2 letters
subcountry = 'subcountry_example' # str | state code (optional)
hours = 56 # int | Get results for last x hours (optional)
keyword_filter = 'keyword_filter_example' # str | Filter answers to category names containing a particular keyword (optional)
language_filter = 'language_filter_example' # str | Filter answers to pages in specific user language (optional)
lines = 50 # int | Get X results (max in one request is 10K please use offset paginated results if you need more) (optional) (default to 50)
offset = 0 # int | Get paginated results from X offset (optional) (default to 0)

try:
    # Get livedata stats for categories
    api_response = api_instance.livecategories_get(country, subcountry=subcountry, hours=hours, keyword_filter=keyword_filter, language_filter=language_filter, lines=lines, offset=offset)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling LiveApi->livecategories_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **country** | **str**| ISO_3166 country code in 2 letters | 
 **subcountry** | **str**| state code | [optional] 
 **hours** | **int**| Get results for last x hours | [optional] 
 **keyword_filter** | **str**| Filter answers to category names containing a particular keyword | [optional] 
 **language_filter** | **str**| Filter answers to pages in specific user language | [optional] 
 **lines** | **int**| Get X results (max in one request is 10K please use offset paginated results if you need more) | [optional] [default to 50]
 **offset** | **int**| Get paginated results from X offset | [optional] [default to 0]

### Return type

[**list[Categories]**](Categories.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **livedomains_get**
> list[Domains] livedomains_get(country, subcountry=subcountry, url_filter=url_filter, hours=hours, lines=lines, language_filter=language_filter, offset=offset)

Get livedata stats for domains

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.LiveApi(swagger_client.ApiClient(configuration))
country = 'country_example' # str | ISO_3166 country code in 2 letters
subcountry = 'subcountry_example' # str | state code (optional)
url_filter = 'url_filter_example' # str | Filter answers to domains including a specified string (optional)
hours = 56 # int | Get results for last x hours (optional)
lines = 50 # int | Get X results (max in one request is 10K please use offset paginated results if you need more) (optional) (default to 50)
language_filter = 'language_filter_example' # str | Filter answers to pages in specific user language (optional)
offset = 0 # int | Get paginated results from X offset (optional) (default to 0)

try:
    # Get livedata stats for domains
    api_response = api_instance.livedomains_get(country, subcountry=subcountry, url_filter=url_filter, hours=hours, lines=lines, language_filter=language_filter, offset=offset)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling LiveApi->livedomains_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **country** | **str**| ISO_3166 country code in 2 letters | 
 **subcountry** | **str**| state code | [optional] 
 **url_filter** | **str**| Filter answers to domains including a specified string | [optional] 
 **hours** | **int**| Get results for last x hours | [optional] 
 **lines** | **int**| Get X results (max in one request is 10K please use offset paginated results if you need more) | [optional] [default to 50]
 **language_filter** | **str**| Filter answers to pages in specific user language | [optional] 
 **offset** | **int**| Get paginated results from X offset | [optional] [default to 0]

### Return type

[**list[Domains]**](Domains.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **livepages_get**
> list[Pages] livepages_get(country, preset_filter, subcountry=subcountry, hours=hours, only_new=only_new, domain_filter=domain_filter, keyword_filter=keyword_filter, url_filter=url_filter, category_filter=category_filter, language_filter=language_filter, lines=lines, offset=offset)

Get livedata stats for pages

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.LiveApi(swagger_client.ApiClient(configuration))
country = 'country_example' # str | ISO_3166 country code in 2 letters
preset_filter = 56 # int | Apply preset filters => 0 no filter 1 no newsstories 2 only newsstories 3 only sapphire 4 only moonstone 5 sapphire and moonstone combined 6 sapphire or moonstone
subcountry = 'subcountry_example' # str | state code (optional)
hours = 56 # int | Get results for last x hours (optional)
only_new = 0 # int | Get only pages first seen in the reporting period if set on 1 (optional) (default to 0)
domain_filter = 'domain_filter_example' # str | Filter answers to pages of a designated domain name (optional)
keyword_filter = 'keyword_filter_example' # str | Filter answers to pages titles containing a particular keyword (optional)
url_filter = 'url_filter_example' # str | Filter answers to pages URL including a specified string (optional)
category_filter = 56 # int | Filter answers to pages of a designated category id (optional)
language_filter = 'language_filter_example' # str | Filter answers to pages in specific user language (optional)
lines = 50 # int | Get X results (max in one request is 50 please use offset paginated results if you need more) (optional) (default to 50)
offset = 0 # int | Get paginated results from X offset (optional) (default to 0)

try:
    # Get livedata stats for pages
    api_response = api_instance.livepages_get(country, preset_filter, subcountry=subcountry, hours=hours, only_new=only_new, domain_filter=domain_filter, keyword_filter=keyword_filter, url_filter=url_filter, category_filter=category_filter, language_filter=language_filter, lines=lines, offset=offset)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling LiveApi->livepages_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **country** | **str**| ISO_3166 country code in 2 letters | 
 **preset_filter** | **int**| Apply preset filters &#x3D;&gt; 0 no filter 1 no newsstories 2 only newsstories 3 only sapphire 4 only moonstone 5 sapphire and moonstone combined 6 sapphire or moonstone | 
 **subcountry** | **str**| state code | [optional] 
 **hours** | **int**| Get results for last x hours | [optional] 
 **only_new** | **int**| Get only pages first seen in the reporting period if set on 1 | [optional] [default to 0]
 **domain_filter** | **str**| Filter answers to pages of a designated domain name | [optional] 
 **keyword_filter** | **str**| Filter answers to pages titles containing a particular keyword | [optional] 
 **url_filter** | **str**| Filter answers to pages URL including a specified string | [optional] 
 **category_filter** | **int**| Filter answers to pages of a designated category id | [optional] 
 **language_filter** | **str**| Filter answers to pages in specific user language | [optional] 
 **lines** | **int**| Get X results (max in one request is 50 please use offset paginated results if you need more) | [optional] [default to 50]
 **offset** | **int**| Get paginated results from X offset | [optional] [default to 0]

### Return type

[**list[Pages]**](Pages.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

