# swagger_client.UserApi

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**user_countries_change_get**](UserApi.md#user_countries_change_get) | **GET** /user_countries_change | Change user&#x27;s activated countries
[**user_custid_change_get**](UserApi.md#user_custid_change_get) | **GET** /user_custid_change | Change user customer id. This function is system reserved
[**user_delete_get**](UserApi.md#user_delete_get) | **GET** /user_delete | Permanently delete the user
[**user_details_change_get**](UserApi.md#user_details_change_get) | **GET** /user_details_change | Change user details
[**user_login_get**](UserApi.md#user_login_get) | **GET** /user_login | Login user with his credentials
[**user_messages_get**](UserApi.md#user_messages_get) | **GET** /user_messages | Get messages for user
[**user_password_change_get**](UserApi.md#user_password_change_get) | **GET** /user_password_change | Change user password
[**user_password_reset_get**](UserApi.md#user_password_reset_get) | **GET** /user_password_reset | Reset user password
[**user_refresh_subscription_get**](UserApi.md#user_refresh_subscription_get) | **GET** /user_refresh_subscription | Refresh user rights with his Customer ID. This function is system reserved
[**user_register_get**](UserApi.md#user_register_get) | **GET** /user_register | Login user with his credentials

# **user_countries_change_get**
> list[TransactionInfo] user_countries_change_get(countries, categories)

Change user's activated countries

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.UserApi(swagger_client.ApiClient(configuration))
countries = 'countries_example' # str | json encoded string representing countries to activate
categories = 'categories_example' # str | json encoded string representing categories ID to activate

try:
    # Change user's activated countries
    api_response = api_instance.user_countries_change_get(countries, categories)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UserApi->user_countries_change_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **countries** | **str**| json encoded string representing countries to activate | 
 **categories** | **str**| json encoded string representing categories ID to activate | 

### Return type

[**list[TransactionInfo]**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **user_custid_change_get**
> list[TransactionInfo] user_custid_change_get(custid)

Change user customer id. This function is system reserved

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.UserApi(swagger_client.ApiClient(configuration))
custid = 'custid_example' # str | new customer id for user

try:
    # Change user customer id. This function is system reserved
    api_response = api_instance.user_custid_change_get(custid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UserApi->user_custid_change_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **custid** | **str**| new customer id for user | 

### Return type

[**list[TransactionInfo]**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **user_delete_get**
> list[TransactionInfo] user_delete_get()

Permanently delete the user

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.UserApi(swagger_client.ApiClient(configuration))

try:
    # Permanently delete the user
    api_response = api_instance.user_delete_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UserApi->user_delete_get: %s\n" % e)
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**list[TransactionInfo]**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **user_details_change_get**
> list[TransactionInfo] user_details_change_get(email, fname, lname)

Change user details

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.UserApi(swagger_client.ApiClient(configuration))
email = 'email_example' # str | new email address for user
fname = 'fname_example' # str | new firstname for user
lname = 'lname_example' # str | new lastname for user

try:
    # Change user details
    api_response = api_instance.user_details_change_get(email, fname, lname)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UserApi->user_details_change_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **str**| new email address for user | 
 **fname** | **str**| new firstname for user | 
 **lname** | **str**| new lastname for user | 

### Return type

[**list[TransactionInfo]**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **user_login_get**
> list[UserInfo] user_login_get(email, password, pin=pin)

Login user with his credentials

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.UserApi(swagger_client.ApiClient(configuration))
email = 'email_example' # str | email address for user
password = 'password_example' # str | password for user
pin = 56 # int | pin code to validate account creation ; when using pin code, password must be set to \"loginwithpin\" (optional)

try:
    # Login user with his credentials
    api_response = api_instance.user_login_get(email, password, pin=pin)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UserApi->user_login_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **str**| email address for user | 
 **password** | **str**| password for user | 
 **pin** | **int**| pin code to validate account creation ; when using pin code, password must be set to \&quot;loginwithpin\&quot; | [optional] 

### Return type

[**list[UserInfo]**](UserInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **user_messages_get**
> list[Message] user_messages_get(message=message)

Get messages for user

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.UserApi(swagger_client.ApiClient(configuration))
message = 56 # int | ID of the requested message. 0 to get the full message list (optional)

try:
    # Get messages for user
    api_response = api_instance.user_messages_get(message=message)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UserApi->user_messages_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **message** | **int**| ID of the requested message. 0 to get the full message list | [optional] 

### Return type

[**list[Message]**](Message.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **user_password_change_get**
> list[TransactionInfo] user_password_change_get(email, password, newpassword)

Change user password

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.UserApi(swagger_client.ApiClient(configuration))
email = 'email_example' # str | email address for user
password = 'password_example' # str | current password for user
newpassword = 'newpassword_example' # str | new password to set up for user

try:
    # Change user password
    api_response = api_instance.user_password_change_get(email, password, newpassword)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UserApi->user_password_change_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **str**| email address for user | 
 **password** | **str**| current password for user | 
 **newpassword** | **str**| new password to set up for user | 

### Return type

[**list[TransactionInfo]**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **user_password_reset_get**
> list[TransactionInfo] user_password_reset_get(email)

Reset user password

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.UserApi(swagger_client.ApiClient(configuration))
email = 'email_example' # str | email address for user

try:
    # Reset user password
    api_response = api_instance.user_password_reset_get(email)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UserApi->user_password_reset_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **str**| email address for user | 

### Return type

[**list[TransactionInfo]**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **user_refresh_subscription_get**
> list[UserInfo] user_refresh_subscription_get(custid)

Refresh user rights with his Customer ID. This function is system reserved

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.UserApi(swagger_client.ApiClient(configuration))
custid = 'custid_example' # str | Customer ID for the user

try:
    # Refresh user rights with his Customer ID. This function is system reserved
    api_response = api_instance.user_refresh_subscription_get(custid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UserApi->user_refresh_subscription_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **custid** | **str**| Customer ID for the user | 

### Return type

[**list[UserInfo]**](UserInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **user_register_get**
> list[UserInfo] user_register_get(email, password, fname, lname, referrer=referrer)

Login user with his credentials

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = swagger_client.UserApi(swagger_client.ApiClient(configuration))
email = 'email_example' # str | email address for user
password = 'password_example' # str | password for user
fname = 'fname_example' # str | new firstname for user
lname = 'lname_example' # str | new lastname for user
referrer = 'referrer_example' # str | referrer for this user. should be urlencoded (optional)

try:
    # Login user with his credentials
    api_response = api_instance.user_register_get(email, password, fname, lname, referrer=referrer)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UserApi->user_register_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **str**| email address for user | 
 **password** | **str**| password for user | 
 **fname** | **str**| new firstname for user | 
 **lname** | **str**| new lastname for user | 
 **referrer** | **str**| referrer for this user. should be urlencoded | [optional] 

### Return type

[**list[UserInfo]**](UserInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

