# coding: utf-8

"""
    DiscoverSnoop

    API for DiscoverSnoop Service  # noqa: E501

    OpenAPI spec version: 0.9.240913
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import re  # noqa: F401

# python 2 and python 3 compatibility library
import six

from swagger_client.api_client import ApiClient


class HistoricalApi(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

    def categories_get(self, country, **kwargs):  # noqa: E501
        """Get historical stats for categories  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.categories_get(country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param str from_date: Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str to_date: Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str keyword_filter: Filter answers to cateogry names containing a particular keyword
        :param int lines: Get X results (max in one request is 10K please use offset paginated results if you need more)
        :param int offset: Get paginated results from X offset
        :return: list[Categories]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.categories_get_with_http_info(country, **kwargs)  # noqa: E501
        else:
            (data) = self.categories_get_with_http_info(country, **kwargs)  # noqa: E501
            return data

    def categories_get_with_http_info(self, country, **kwargs):  # noqa: E501
        """Get historical stats for categories  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.categories_get_with_http_info(country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param str from_date: Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str to_date: Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str keyword_filter: Filter answers to cateogry names containing a particular keyword
        :param int lines: Get X results (max in one request is 10K please use offset paginated results if you need more)
        :param int offset: Get paginated results from X offset
        :return: list[Categories]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['country', 'subcountry', 'from_date', 'to_date', 'keyword_filter', 'lines', 'offset']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method categories_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'country' is set
        if ('country' not in params or
                params['country'] is None):
            raise ValueError("Missing the required parameter `country` when calling `categories_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'country' in params:
            query_params.append(('country', params['country']))  # noqa: E501
        if 'subcountry' in params:
            query_params.append(('subcountry', params['subcountry']))  # noqa: E501
        if 'from_date' in params:
            query_params.append(('from_date', params['from_date']))  # noqa: E501
        if 'to_date' in params:
            query_params.append(('to_date', params['to_date']))  # noqa: E501
        if 'keyword_filter' in params:
            query_params.append(('keyword_filter', params['keyword_filter']))  # noqa: E501
        if 'lines' in params:
            query_params.append(('lines', params['lines']))  # noqa: E501
        if 'offset' in params:
            query_params.append(('offset', params['offset']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['bearerAuth']  # noqa: E501

        return self.api_client.call_api(
            '/categories', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[Categories]',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def category_get(self, id, country, **kwargs):  # noqa: E501
        """Get history for category ID  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.category_get(id, country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str id: category id (required)
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param str from_date: Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str to_date: Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :return: list[Category]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.category_get_with_http_info(id, country, **kwargs)  # noqa: E501
        else:
            (data) = self.category_get_with_http_info(id, country, **kwargs)  # noqa: E501
            return data

    def category_get_with_http_info(self, id, country, **kwargs):  # noqa: E501
        """Get history for category ID  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.category_get_with_http_info(id, country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str id: category id (required)
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param str from_date: Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str to_date: Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :return: list[Category]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['id', 'country', 'subcountry', 'from_date', 'to_date']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method category_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'id' is set
        if ('id' not in params or
                params['id'] is None):
            raise ValueError("Missing the required parameter `id` when calling `category_get`")  # noqa: E501
        # verify the required parameter 'country' is set
        if ('country' not in params or
                params['country'] is None):
            raise ValueError("Missing the required parameter `country` when calling `category_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'id' in params:
            query_params.append(('id', params['id']))  # noqa: E501
        if 'country' in params:
            query_params.append(('country', params['country']))  # noqa: E501
        if 'subcountry' in params:
            query_params.append(('subcountry', params['subcountry']))  # noqa: E501
        if 'from_date' in params:
            query_params.append(('from_date', params['from_date']))  # noqa: E501
        if 'to_date' in params:
            query_params.append(('to_date', params['to_date']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['bearerAuth']  # noqa: E501

        return self.api_client.call_api(
            '/category', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[Category]',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def domain_get(self, domain, country, **kwargs):  # noqa: E501
        """Get history for domain name  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.domain_get(domain, country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str domain: domain name (no subdomain allowed) (required)
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param str from_date: Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str to_date: Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :return: list[Domain]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.domain_get_with_http_info(domain, country, **kwargs)  # noqa: E501
        else:
            (data) = self.domain_get_with_http_info(domain, country, **kwargs)  # noqa: E501
            return data

    def domain_get_with_http_info(self, domain, country, **kwargs):  # noqa: E501
        """Get history for domain name  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.domain_get_with_http_info(domain, country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str domain: domain name (no subdomain allowed) (required)
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param str from_date: Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str to_date: Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :return: list[Domain]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['domain', 'country', 'subcountry', 'from_date', 'to_date']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method domain_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'domain' is set
        if ('domain' not in params or
                params['domain'] is None):
            raise ValueError("Missing the required parameter `domain` when calling `domain_get`")  # noqa: E501
        # verify the required parameter 'country' is set
        if ('country' not in params or
                params['country'] is None):
            raise ValueError("Missing the required parameter `country` when calling `domain_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'domain' in params:
            query_params.append(('domain', params['domain']))  # noqa: E501
        if 'country' in params:
            query_params.append(('country', params['country']))  # noqa: E501
        if 'subcountry' in params:
            query_params.append(('subcountry', params['subcountry']))  # noqa: E501
        if 'from_date' in params:
            query_params.append(('from_date', params['from_date']))  # noqa: E501
        if 'to_date' in params:
            query_params.append(('to_date', params['to_date']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['bearerAuth']  # noqa: E501

        return self.api_client.call_api(
            '/domain', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[Domain]',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def domains_get(self, country, **kwargs):  # noqa: E501
        """Get historical stats for domains  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.domains_get(country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param str from_date: Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str to_date: Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str url_filter: Filter answers to domains including a specified string
        :param int lines: Get X results (max in one request is 10K please use offset paginated results if you need more)
        :param int offset: Get paginated results from X offset
        :return: list[Domains]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.domains_get_with_http_info(country, **kwargs)  # noqa: E501
        else:
            (data) = self.domains_get_with_http_info(country, **kwargs)  # noqa: E501
            return data

    def domains_get_with_http_info(self, country, **kwargs):  # noqa: E501
        """Get historical stats for domains  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.domains_get_with_http_info(country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param str from_date: Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str to_date: Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str url_filter: Filter answers to domains including a specified string
        :param int lines: Get X results (max in one request is 10K please use offset paginated results if you need more)
        :param int offset: Get paginated results from X offset
        :return: list[Domains]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['country', 'subcountry', 'from_date', 'to_date', 'url_filter', 'lines', 'offset']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method domains_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'country' is set
        if ('country' not in params or
                params['country'] is None):
            raise ValueError("Missing the required parameter `country` when calling `domains_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'country' in params:
            query_params.append(('country', params['country']))  # noqa: E501
        if 'subcountry' in params:
            query_params.append(('subcountry', params['subcountry']))  # noqa: E501
        if 'from_date' in params:
            query_params.append(('from_date', params['from_date']))  # noqa: E501
        if 'to_date' in params:
            query_params.append(('to_date', params['to_date']))  # noqa: E501
        if 'url_filter' in params:
            query_params.append(('url_filter', params['url_filter']))  # noqa: E501
        if 'lines' in params:
            query_params.append(('lines', params['lines']))  # noqa: E501
        if 'offset' in params:
            query_params.append(('offset', params['offset']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['bearerAuth']  # noqa: E501

        return self.api_client.call_api(
            '/domains', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[Domains]',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def page_get(self, url, country, **kwargs):  # noqa: E501
        """Get page history for URL  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.page_get(url, country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str url: Fully qualified page url. URL needs to be URL encoded (required)
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param str from_date: Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str to_date: Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :return: list[Page]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.page_get_with_http_info(url, country, **kwargs)  # noqa: E501
        else:
            (data) = self.page_get_with_http_info(url, country, **kwargs)  # noqa: E501
            return data

    def page_get_with_http_info(self, url, country, **kwargs):  # noqa: E501
        """Get page history for URL  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.page_get_with_http_info(url, country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str url: Fully qualified page url. URL needs to be URL encoded (required)
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param str from_date: Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :param str to_date: Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
        :return: list[Page]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['url', 'country', 'subcountry', 'from_date', 'to_date']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method page_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'url' is set
        if ('url' not in params or
                params['url'] is None):
            raise ValueError("Missing the required parameter `url` when calling `page_get`")  # noqa: E501
        # verify the required parameter 'country' is set
        if ('country' not in params or
                params['country'] is None):
            raise ValueError("Missing the required parameter `country` when calling `page_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'url' in params:
            query_params.append(('url', params['url']))  # noqa: E501
        if 'country' in params:
            query_params.append(('country', params['country']))  # noqa: E501
        if 'subcountry' in params:
            query_params.append(('subcountry', params['subcountry']))  # noqa: E501
        if 'from_date' in params:
            query_params.append(('from_date', params['from_date']))  # noqa: E501
        if 'to_date' in params:
            query_params.append(('to_date', params['to_date']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['bearerAuth']  # noqa: E501

        return self.api_client.call_api(
            '/page', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[Page]',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def pages_get(self, preset_filter, **kwargs):  # noqa: E501
        """Get historical stats for pages  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.pages_get(preset_filter, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param int preset_filter: Apply preset filters => 0 no filter 1 no newsstories 2 only newsstories 3 only sapphire 4 only moonstone 5 sapphire and moonstone combined 6 sapphire or moonstone (required)
        :param str from_date: Datas from YYYY-MM-DD (if not provided, last 30 days)
        :param str to_date: Datas to YYYY-MM-DD (if not provided, last 30 days)
        :param str country: ISO_3166 country code in 2 letters (if not provided  worldwide)
        :param str subcountry: state code
        :param str domain_filter: Filter answers to pages of a designated domain name
        :param str url_filter: Filter answers to pages URL including a specified string
        :param int category_filter: Filter answers to a specific page category
        :param str keyword_filter: Filter answers to pages titles containing a particular keyword
        :param int lines: Get X results (max in one request is 50 please use offset paginated results if you need more)
        :param int offset: Get paginated results from X offset
        :return: list[Pages]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.pages_get_with_http_info(preset_filter, **kwargs)  # noqa: E501
        else:
            (data) = self.pages_get_with_http_info(preset_filter, **kwargs)  # noqa: E501
            return data

    def pages_get_with_http_info(self, preset_filter, **kwargs):  # noqa: E501
        """Get historical stats for pages  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.pages_get_with_http_info(preset_filter, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param int preset_filter: Apply preset filters => 0 no filter 1 no newsstories 2 only newsstories 3 only sapphire 4 only moonstone 5 sapphire and moonstone combined 6 sapphire or moonstone (required)
        :param str from_date: Datas from YYYY-MM-DD (if not provided, last 30 days)
        :param str to_date: Datas to YYYY-MM-DD (if not provided, last 30 days)
        :param str country: ISO_3166 country code in 2 letters (if not provided  worldwide)
        :param str subcountry: state code
        :param str domain_filter: Filter answers to pages of a designated domain name
        :param str url_filter: Filter answers to pages URL including a specified string
        :param int category_filter: Filter answers to a specific page category
        :param str keyword_filter: Filter answers to pages titles containing a particular keyword
        :param int lines: Get X results (max in one request is 50 please use offset paginated results if you need more)
        :param int offset: Get paginated results from X offset
        :return: list[Pages]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['preset_filter', 'from_date', 'to_date', 'country', 'subcountry', 'domain_filter', 'url_filter', 'category_filter', 'keyword_filter', 'lines', 'offset']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method pages_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'preset_filter' is set
        if ('preset_filter' not in params or
                params['preset_filter'] is None):
            raise ValueError("Missing the required parameter `preset_filter` when calling `pages_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'from_date' in params:
            query_params.append(('from_date', params['from_date']))  # noqa: E501
        if 'to_date' in params:
            query_params.append(('to_date', params['to_date']))  # noqa: E501
        if 'country' in params:
            query_params.append(('country', params['country']))  # noqa: E501
        if 'subcountry' in params:
            query_params.append(('subcountry', params['subcountry']))  # noqa: E501
        if 'domain_filter' in params:
            query_params.append(('domain_filter', params['domain_filter']))  # noqa: E501
        if 'url_filter' in params:
            query_params.append(('url_filter', params['url_filter']))  # noqa: E501
        if 'category_filter' in params:
            query_params.append(('category_filter', params['category_filter']))  # noqa: E501
        if 'keyword_filter' in params:
            query_params.append(('keyword_filter', params['keyword_filter']))  # noqa: E501
        if 'preset_filter' in params:
            query_params.append(('preset_filter', params['preset_filter']))  # noqa: E501
        if 'lines' in params:
            query_params.append(('lines', params['lines']))  # noqa: E501
        if 'offset' in params:
            query_params.append(('offset', params['offset']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['bearerAuth']  # noqa: E501

        return self.api_client.call_api(
            '/pages', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[Pages]',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)
