# coding: utf-8

"""
    DiscoverSnoop

    API for DiscoverSnoop Service  # noqa: E501

    OpenAPI spec version: 0.9.240913
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import re  # noqa: F401

# python 2 and python 3 compatibility library
import six

from swagger_client.api_client import ApiClient


class LiveApi(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

    def livecategories_get(self, country, **kwargs):  # noqa: E501
        """Get livedata stats for categories  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.livecategories_get(country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param int hours: Get results for last x hours
        :param str keyword_filter: Filter answers to category names containing a particular keyword
        :param str language_filter: Filter answers to pages in specific user language
        :param int lines: Get X results (max in one request is 10K please use offset paginated results if you need more)
        :param int offset: Get paginated results from X offset
        :return: list[Categories]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.livecategories_get_with_http_info(country, **kwargs)  # noqa: E501
        else:
            (data) = self.livecategories_get_with_http_info(country, **kwargs)  # noqa: E501
            return data

    def livecategories_get_with_http_info(self, country, **kwargs):  # noqa: E501
        """Get livedata stats for categories  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.livecategories_get_with_http_info(country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param int hours: Get results for last x hours
        :param str keyword_filter: Filter answers to category names containing a particular keyword
        :param str language_filter: Filter answers to pages in specific user language
        :param int lines: Get X results (max in one request is 10K please use offset paginated results if you need more)
        :param int offset: Get paginated results from X offset
        :return: list[Categories]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['country', 'subcountry', 'hours', 'keyword_filter', 'language_filter', 'lines', 'offset']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method livecategories_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'country' is set
        if ('country' not in params or
                params['country'] is None):
            raise ValueError("Missing the required parameter `country` when calling `livecategories_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'country' in params:
            query_params.append(('country', params['country']))  # noqa: E501
        if 'subcountry' in params:
            query_params.append(('subcountry', params['subcountry']))  # noqa: E501
        if 'hours' in params:
            query_params.append(('hours', params['hours']))  # noqa: E501
        if 'keyword_filter' in params:
            query_params.append(('keyword_filter', params['keyword_filter']))  # noqa: E501
        if 'language_filter' in params:
            query_params.append(('language_filter', params['language_filter']))  # noqa: E501
        if 'lines' in params:
            query_params.append(('lines', params['lines']))  # noqa: E501
        if 'offset' in params:
            query_params.append(('offset', params['offset']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['bearerAuth']  # noqa: E501

        return self.api_client.call_api(
            '/livecategories', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[Categories]',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def livedomains_get(self, country, **kwargs):  # noqa: E501
        """Get livedata stats for domains  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.livedomains_get(country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param str url_filter: Filter answers to domains including a specified string
        :param int hours: Get results for last x hours
        :param int lines: Get X results (max in one request is 10K please use offset paginated results if you need more)
        :param str language_filter: Filter answers to pages in specific user language
        :param int offset: Get paginated results from X offset
        :return: list[Domains]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.livedomains_get_with_http_info(country, **kwargs)  # noqa: E501
        else:
            (data) = self.livedomains_get_with_http_info(country, **kwargs)  # noqa: E501
            return data

    def livedomains_get_with_http_info(self, country, **kwargs):  # noqa: E501
        """Get livedata stats for domains  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.livedomains_get_with_http_info(country, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str country: ISO_3166 country code in 2 letters (required)
        :param str subcountry: state code
        :param str url_filter: Filter answers to domains including a specified string
        :param int hours: Get results for last x hours
        :param int lines: Get X results (max in one request is 10K please use offset paginated results if you need more)
        :param str language_filter: Filter answers to pages in specific user language
        :param int offset: Get paginated results from X offset
        :return: list[Domains]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['country', 'subcountry', 'url_filter', 'hours', 'lines', 'language_filter', 'offset']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method livedomains_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'country' is set
        if ('country' not in params or
                params['country'] is None):
            raise ValueError("Missing the required parameter `country` when calling `livedomains_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'country' in params:
            query_params.append(('country', params['country']))  # noqa: E501
        if 'subcountry' in params:
            query_params.append(('subcountry', params['subcountry']))  # noqa: E501
        if 'url_filter' in params:
            query_params.append(('url_filter', params['url_filter']))  # noqa: E501
        if 'hours' in params:
            query_params.append(('hours', params['hours']))  # noqa: E501
        if 'lines' in params:
            query_params.append(('lines', params['lines']))  # noqa: E501
        if 'language_filter' in params:
            query_params.append(('language_filter', params['language_filter']))  # noqa: E501
        if 'offset' in params:
            query_params.append(('offset', params['offset']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['bearerAuth']  # noqa: E501

        return self.api_client.call_api(
            '/livedomains', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[Domains]',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def livepages_get(self, country, preset_filter, **kwargs):  # noqa: E501
        """Get livedata stats for pages  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.livepages_get(country, preset_filter, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str country: ISO_3166 country code in 2 letters (required)
        :param int preset_filter: Apply preset filters => 0 no filter 1 no newsstories 2 only newsstories 3 only sapphire 4 only moonstone 5 sapphire and moonstone combined 6 sapphire or moonstone (required)
        :param str subcountry: state code
        :param int hours: Get results for last x hours
        :param int only_new: Get only pages first seen in the reporting period if set on 1
        :param str domain_filter: Filter answers to pages of a designated domain name
        :param str keyword_filter: Filter answers to pages titles containing a particular keyword
        :param str url_filter: Filter answers to pages URL including a specified string
        :param int category_filter: Filter answers to pages of a designated category id
        :param str language_filter: Filter answers to pages in specific user language
        :param int lines: Get X results (max in one request is 50 please use offset paginated results if you need more)
        :param int offset: Get paginated results from X offset
        :return: list[Pages]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.livepages_get_with_http_info(country, preset_filter, **kwargs)  # noqa: E501
        else:
            (data) = self.livepages_get_with_http_info(country, preset_filter, **kwargs)  # noqa: E501
            return data

    def livepages_get_with_http_info(self, country, preset_filter, **kwargs):  # noqa: E501
        """Get livedata stats for pages  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.livepages_get_with_http_info(country, preset_filter, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param str country: ISO_3166 country code in 2 letters (required)
        :param int preset_filter: Apply preset filters => 0 no filter 1 no newsstories 2 only newsstories 3 only sapphire 4 only moonstone 5 sapphire and moonstone combined 6 sapphire or moonstone (required)
        :param str subcountry: state code
        :param int hours: Get results for last x hours
        :param int only_new: Get only pages first seen in the reporting period if set on 1
        :param str domain_filter: Filter answers to pages of a designated domain name
        :param str keyword_filter: Filter answers to pages titles containing a particular keyword
        :param str url_filter: Filter answers to pages URL including a specified string
        :param int category_filter: Filter answers to pages of a designated category id
        :param str language_filter: Filter answers to pages in specific user language
        :param int lines: Get X results (max in one request is 50 please use offset paginated results if you need more)
        :param int offset: Get paginated results from X offset
        :return: list[Pages]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['country', 'preset_filter', 'subcountry', 'hours', 'only_new', 'domain_filter', 'keyword_filter', 'url_filter', 'category_filter', 'language_filter', 'lines', 'offset']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method livepages_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'country' is set
        if ('country' not in params or
                params['country'] is None):
            raise ValueError("Missing the required parameter `country` when calling `livepages_get`")  # noqa: E501
        # verify the required parameter 'preset_filter' is set
        if ('preset_filter' not in params or
                params['preset_filter'] is None):
            raise ValueError("Missing the required parameter `preset_filter` when calling `livepages_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'country' in params:
            query_params.append(('country', params['country']))  # noqa: E501
        if 'subcountry' in params:
            query_params.append(('subcountry', params['subcountry']))  # noqa: E501
        if 'hours' in params:
            query_params.append(('hours', params['hours']))  # noqa: E501
        if 'preset_filter' in params:
            query_params.append(('preset_filter', params['preset_filter']))  # noqa: E501
        if 'only_new' in params:
            query_params.append(('only_new', params['only_new']))  # noqa: E501
        if 'domain_filter' in params:
            query_params.append(('domain_filter', params['domain_filter']))  # noqa: E501
        if 'keyword_filter' in params:
            query_params.append(('keyword_filter', params['keyword_filter']))  # noqa: E501
        if 'url_filter' in params:
            query_params.append(('url_filter', params['url_filter']))  # noqa: E501
        if 'category_filter' in params:
            query_params.append(('category_filter', params['category_filter']))  # noqa: E501
        if 'language_filter' in params:
            query_params.append(('language_filter', params['language_filter']))  # noqa: E501
        if 'lines' in params:
            query_params.append(('lines', params['lines']))  # noqa: E501
        if 'offset' in params:
            query_params.append(('offset', params['offset']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['bearerAuth']  # noqa: E501

        return self.api_client.call_api(
            '/livepages', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[Pages]',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)
